#ifndef RundenSpielerStatistik_H
#define RundenSpielerStatistik_H

#include <Text.h>
#include <InitDatei.h>

using namespace Framework;

class RundenSpielerStatistik
{
private:
	int spielerNummer;
	Text *spielerName;
	Text *teamName;
	int spielerFarbe;
	int teamFarbe;
	int linienLength;
	int kills;
	int todeszeit;
	int ref;

public:
	// Konstruktor
	RundenSpielerStatistik();
	// Destruktor
	~RundenSpielerStatistik();
	// nicht constant
	void initValues( InitDatei *dat );
	// constant
	int getSpielerNummer() const;
	Text *getSpielerName() const;
	Text *zSpielerName() const;
	Text *getTeamName() const;
	Text *zTeamName() const;
	int getSpielerFarbe() const;
	int getTeamFarbe() const;
	int getLinienLength() const;
	int getKills() const;
	int getTodesZeit() const;
	// Reference Counting
	RundenSpielerStatistik *getThis();
	RundenSpielerStatistik *release();
};

#endif